# frozen_string_literal: true

module RedmineUxToolkit
  module Patches
    module TrackerPatch
      def self.prepended(base)
        unless base.reflect_on_association(:ux_toolkit_tracker_notice)
          base.has_one :ux_toolkit_tracker_notice, dependent: :destroy
        end
      end
    end
  end
end
